အကြောင်းအရာသို့ ကျော်ရန်

FLUX.3 Klein

ပေါင်းစည်းရန်

မော်ဒယ် id blackforestlabs/flux-3/klein/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၀၀၉ $ ၉ API ခရက်ဒစ် လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Black Forest Labs စာသားမှ ပုံ #image-generation#text-to-image#typography#graphic-design

မူရင်း 4K အရွယ်အစားများ၊ ရွေးချယ်နိုင်သော ကန့်သတ်ဘောင်အပြင်အဆင် ထိန်းချုပ်မှုနှင့် တောင်းဆိုချက်တစ်ခုလျှင် ပုံ 4 ပုံအထိ ပါဝင်သည့် စာသားမှပုံဖန်တီးမှု

Black Forest Labs · ပုံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

အကြောင်းအရာ၊ ဖရိမ်ဖွဲ့စည်းမှု၊ အလင်းရောင်နှင့် နောက်ခံတို့ကို အသေးစိတ်ဖော်ပြသော ပုံဖန်တီးမှုညွှန်ကြားချက်များ၊ မော်ဒယ်ကို လေ့ကျင့်ရာတွင် အသုံးပြုသည့် အသေးစိတ် caption များနှင့် ကိုက်ညီသည်။

image_size မူလ square_hd

ထွက်ရလဒ်အကျယ်နှင့် အမြင့်ကို 256–4096 pixels အတွင်း သီးခြားစီ သတ်မှတ်ပြီး native 4K ဖန်တီးမှုကို ပံ့ပိုးသည်။

num_images မူလ 1

ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။

အဆင့်မြင့် output_format · seed · enable_prompt_expansion · enable_safety_checker · bounding_boxes
output_format မူလ png

ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။

ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။

ဖော်ပြထားသော အရာဝတ္ထုတစ်ခုစီကို သတ်မှတ်ထားသော ဘောက်စ်အတွင်း ကန့်သတ်ထားသည့် ရွေးချယ်နိုင်သော ဘောက်စ် layout၊ ဥပမာ `A red fox <fox> sits under a red umbrella <umbrella>`။ ကိုဩဒိနိတ်များသည် ပုံအရွယ်အစားနှင့် နှိုင်းယှဉ်ထားသော ဘောက်စ်အစွန်းများကို ဘယ်ဘက်အပေါ် မူလမှတ် (0, 0) မှ တိုင်းတာထားသည့် အပိုင်းကိန်းများအဖြစ် ဖော်ပြသည်။

POST /run/blackforestlabs/flux-3/klein/text-to-image?wait=20 ကုန်ကျစရိတ် → ၀.၀၀၉ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/blackforestlabs/flux-3/klein/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

FLUX.3 Klein အကြောင်း

အသေးစိတ်စာသား `prompt` မှ ပုံများကို ဖန်တီးသည်။ `image_size` ၏ ဘက်တစ်ဖက်စီသည် 256 မှ 4096 ပစ်ဇယ်အထိ ဖြစ်နိုင်ပြီး ခေါ်ဆိုမှုတစ်ကြိမ်လျှင် ပုံ 1 ပုံမှ 4 ပုံအထိ တောင်းဆိုနိုင်သည်။ `bounding_boxes` 32 ခုအထိဖြင့် ဖရိမ်အတွင်း သတ်မှတ်နေရာများ၌ အမည်ပေးထားသော အရာဝတ္ထုများကို နေရာချနိုင်သည်။ ထွက်ရလဒ်သည် png၊ jpeg သို့မဟုတ် webp ဖြစ်နိုင်ပြီး ပရောမ့်ချဲ့ထွင်မှုကို ဖွင့် သို့မဟုတ် ပိတ်နိုင်သည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
အကြောင်းအရာ၊ ဖရိမ်ဖွဲ့စည်းမှု၊ အလင်းရောင်နှင့် နောက်ခံတို့ကို အသေးစိတ်ဖော်ပြသော ပုံဖန်တီးမှုညွှန်ကြားချက်များ၊ မော်ဒယ်ကို လေ့ကျင့်ရာတွင် အသုံးပြုသည့် အသေးစိတ် caption များနှင့် ကိုက်ညီသည်။
enable_prompt_expansionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဖန်တီးမှုမပြုမီ ပရောမ့်ကို အသေးစိတ် caption အဖြစ် ချဲ့ထွင်ခြင်းကို true ဖြစ်သောအခါ ဖွင့်ပေးသည်။ တည်းဖြတ်ရာတွင် caption သည် ရည်ညွှန်းပုံများကို အခြေခံထားသည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ထပ်တူပြန်လည်ဖန်တီးနိုင်သော ပုံများအတွက် seed: မော်ဒယ်ဗားရှင်း မပြောင်းလဲပါက တူညီသော ပရောမ့်နှင့် seed သည် တူညီသောပုံကို ဖန်တီးပေးသည်။
num_imagesရွေးချယ်နိုင်သည် num_outputs
အမျိုးအစားinteger
မူလတန်ဖိုး1
၁ – ၄
ဖန်တီးရန် တောင်းဆိုထားသည့် ပုံအရေအတွက်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
လုံခြုံရေးစစ်ဆေးမှု ဖွင့်ခြင်း၊ true သည် စစ်ဆေးမှုကို ဖွင့်ပေးသည်။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးpng
jpegpngwebp
ရလဒ်ပုံအတွက် ဖိုင်ဖော်မတ်။
image_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ထွက်ရလဒ်အကျယ်နှင့် အမြင့်ကို 256–4096 pixels အတွင်း သီးခြားစီ သတ်မှတ်ပြီး native 4K ဖန်တီးမှုကို ပံ့ပိုးသည်။
bounding_boxesရွေးချယ်နိုင်သည်
အမျိုးအစားobject[]
အကြောင်းအရာ ၃၂ ခုထက် မပိုပါ
ဖော်ပြထားသော အရာဝတ္ထုတစ်ခုစီကို သတ်မှတ်ထားသော ဘောက်စ်အတွင်း ကန့်သတ်ထားသည့် ရွေးချယ်နိုင်သော ဘောက်စ် layout၊ ဥပမာ `A red fox <fox> sits under a red umbrella <umbrella>`။ ကိုဩဒိနိတ်များသည် ပုံအရွယ်အစားနှင့် နှိုင်းယှဉ်ထားသော ဘောက်စ်အစွန်းများကို ဘယ်ဘက်အပေါ် မူလမှတ် (0, 0) မှ တိုင်းတာထားသည့် အပိုင်းကိန်းများအဖြစ် ဖော်ပြသည်။
bounding_boxes[].labelရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
≤ 64 characters
ဘောက်စ်အတွက် အရာဝတ္ထုအမည်တို၊ ဥပမာ `fox`၊ မူလတန်ဖိုးမှာ `obj_<n>` ဖြစ်သည်။ ၎င်း၏စကားလုံးများကို ဘောက်စ်နှင့် ချိတ်ဆက်ရန် ပရောမ့်တွင် `<fox>` ထည့်ပါ။ ပရောမ့်တွင် မဖော်ပြထားသော ဘောက်စ်များကို scene ထဲသို့ ထည့်ပေးသည်။
bounding_boxes[].descriptionလိုအပ်သည်
အမျိုးအစားstring
≤ 500 characters
အသွင်အပြင်အပါအဝင် ဘောက်စ်အတွင်း ဖန်တီးမည့် အရာဝတ္ထု။
bounding_boxes[].boxလိုအပ်သည်
အမျိုးအစားobject
ထွက်ရလဒ်ပုံအတွင်း အရာဝတ္ထုနေရာချထားမှု။
bounding_boxes[].box.x_minလိုအပ်သည်
အမျိုးအစားnumber
၀ – ၁
ပုံအကျယ်နှင့် နှိုင်းယှဉ်ဖော်ပြထားသော ဘယ်ဘက်နယ်နိမိတ်၊ 0 မှ 1 အထိ။
bounding_boxes[].box.y_minလိုအပ်သည်
အမျိုးအစားnumber
၀ – ၁
ပုံအမြင့်နှင့် နှိုင်းယှဉ်ဖော်ပြထားသော အပေါ်နယ်နိမိတ်၊ 0 မှ 1 အထိ။
bounding_boxes[].box.x_maxလိုအပ်သည်
အမျိုးအစားnumber
၀ – ၁
ပုံအကျယ်နှင့် နှိုင်းယှဉ်ဖော်ပြထားသော ညာဘက်နယ်နိမိတ်၊ 0 မှ 1 အထိ။
bounding_boxes[].box.y_maxလိုအပ်သည်
အမျိုးအစားnumber
၀ – ၁
ပုံအမြင့်နှင့် နှိုင်းယှဉ်ဖော်ပြထားသော အောက်နယ်နိမိတ်၊ 0 မှ 1 အထိ။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "blackforestlabs/flux-3/klein/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
images
array of object {url, content_type, file_name, file_size, width, height}မော်ဒယ်မှ ထုတ်လုပ်ထားသောပုံများ။
timings
objectဖန်တီးမှုလုပ်ငန်းစဉ်အတွက် အချိန်အချက်အလက်။
seed
integerပထမပုံအတွက် ဖန်တီးမှု seed။
has_nsfw_concepts
array of booleanဖန်တီးထားသောပုံများတွင် NSFW အယူအဆများ ပါဝင်ခြင်း ရှိ၊ မရှိ ဖော်ပြသည်။
prompt
stringပုံဖန်တီးစဉ် အသုံးပြုမည့် ပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ပုံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/blackforestlabs/flux-3/klein/text-to-image.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt